List email inboxes
Lists the account’s non-deleted inboxes newest first using stable cursor pagination.
GET
/
email_inboxes
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.emailInboxes.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.email_inboxes.list()
print(page.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
emailInboxes, err := client.EmailInboxes.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", emailInboxes.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.emailInboxes().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.email_inboxes.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->emailInboxes->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email-inboxes list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/email_inboxes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"record_type": "email_inbox",
"address": "agent-1@abc123def456.mail.test.telnyx.com",
"status": "active",
"domain_id": "22222222-2222-2222-2222-222222222222",
"domain": "abc123def456.mail.test.telnyx.com",
"settings": {},
"created_at": "2026-07-12T00:00:00Z",
"updated_at": "2026-07-12T00:00:00Z"
}
],
"meta": {
"page_size": 20,
"page_cursor": "MjAyNi0wNy0xMlQwMCUzQTAwJTNBMDBafDExMTExMTExLTExMTEtMTExMS0xMTExLTExMTExMTExMTExMQ"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of results to return. Defaults to 20; maximum is 250.
Required range:
1 <= x <= 250Opaque cursor returned by the previous inbox page.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.emailInboxes.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.email_inboxes.list()
print(page.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
emailInboxes, err := client.EmailInboxes.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", emailInboxes.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.emailInboxes().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.email_inboxes.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->emailInboxes->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email-inboxes list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/email_inboxes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"record_type": "email_inbox",
"address": "agent-1@abc123def456.mail.test.telnyx.com",
"status": "active",
"domain_id": "22222222-2222-2222-2222-222222222222",
"domain": "abc123def456.mail.test.telnyx.com",
"settings": {},
"created_at": "2026-07-12T00:00:00Z",
"updated_at": "2026-07-12T00:00:00Z"
}
],
"meta": {
"page_size": 20,
"page_cursor": "MjAyNi0wNy0xMlQwMCUzQTAwJTNBMDBafDExMTExMTExLTExMTEtMTExMS0xMTExLTExMTExMTExMTExMQ"
}
}